Bug 1146791 (CVE-2014-7186) - CVE-2014-7186 bash: parser can allow out-of-bounds memory access while handling redir_stack
Summary: CVE-2014-7186 bash: parser can allow out-of-bounds memory access while handli...
Status: CLOSED ERRATA
Alias: CVE-2014-7186
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140925,repor...
Keywords: Security
Depends On: 1146992 1146993 1148137 1148138 1148152 1148153 1148771
Blocks: 1141602
TreeView+ depends on / blocked
 
Reported: 2014-09-26 05:23 UTC by Wade Mealing
Modified: 2018-07-16 11:45 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the fixed-sized redir_stack could be forced to overflow in the Bash parser, resulting in memory corruption, and possibly leading to arbitrary code execution when evaluating untrusted input that would not otherwise be run as code.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-22 05:29:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for CVE-2014-7186 and CVE-2014-7187 (2.50 KB, patch)
2014-09-30 07:06 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1354 normal SHIPPED_LIVE Critical: rhev-hypervisor6 security update 2014-10-02 22:40:05 UTC

Description Wade Mealing 2014-09-26 05:23:29 UTC
IssueDescription:

It was discovered that the fixed-sized redir_stack could be forced to overflow in the Bash parser, resulting in memory corruption, and possibly leading to arbitrary code execution when evaluating untrusted input that would not otherwise be run as code.

Comment 2 Garth Mollett 2014-09-26 07:09:26 UTC
Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security.

Comment 3 Tomas Hoger 2014-09-30 07:06:51 UTC
Created attachment 942613 [details]
Patch for CVE-2014-7186 and CVE-2014-7187

Patch for CVE-2014-7186 and CVE-2014-7187 that was applied to bash 4.3 packages in Fedora.

Source:
http://pkgs.fedoraproject.org/cgit/bash.git/tree/bash-4.2-cve-2014-7169-2.patch

(Note that patch file name incorrectly mentions CVE-2014-7169.)

The first to hunks of the patch are fix for this issue, the last one is for the CVE-2014-7187 (bug 1146804).

Comment 4 Tomas Hoger 2014-09-30 07:10:38 UTC
A patch for this issue was applied to the bash packages in Red Hat Enterprise Linux via RHSA-2014:1306, RHSA-2014:1311, and RHSA-2014:1312:

https://rhn.redhat.com/errata/RHSA-2014-1306.html
https://rhn.redhat.com/errata/RHSA-2014-1311.html
https://rhn.redhat.com/errata/RHSA-2014-1312.html

The errata do not mention the CVE in the description, as the CVE is was only assigned after those updates were released.

Comment 5 Gerrit Slomma 2014-09-30 08:23:20 UTC
Is this patched via RHSA-2014:1293 in Red Hat Enterprise Linux 5?

Comment 6 Tomas Hoger 2014-09-30 08:35:32 UTC
Comment 4 above already answers your question.

Comment 11 errata-xmlrpc 2014-10-02 18:44:01 UTC
This issue has been addressed in the following products:

  RHEV Manager version 3.4

Via RHSA-2014:1354 https://rhn.redhat.com/errata/RHSA-2014-1354.html

Comment 12 Huzaifa S. Sidhpurwala 2014-10-22 05:29:51 UTC
Statement:

A patch for this issue was applied to the bash packages in Red Hat Enterprise Linux via RHSA-2014:1306, RHSA-2014:1311, and RHSA-2014:1312. The errata do not mention the CVE in the description, as the CVE was only assigned after those updates were released.


Note You need to log in before you can comment on or make changes to this bug.